ps = []; 

 setup = {'40',... % size
          '0',...
          '1.e-8',...
          '-4.0',...
          '.125',...
          '.005',...
          '[0.025:0.025:4.5]',...
          'phash_Yuk4',...
          'b'
         };
 
disp(['Start running at elle = 0'])
[k, delta, setup] = phaseshifts(setup, 1);

ps = [ps ,delta];

col=['g','r','m','k','y','b','g','r','m','k','y','b','g','r','m','k','y', ...
     'b','g','r','m','k','y','b','g','r','m','k','y','b','g','r','m','k','y'];

maxell=16;

for ell = 1:maxell,
    setup{2} = num2str(ell);
    setup{9} = col(ell);
    disp(['Now running at elle = ',num2str(ell)])
    [k, delta] = phaseshifts(setup, 1);
    ps = [ps ,delta];
end

[m,n]=size(ps);

ell = ones(m,1)*(0:maxell);

S = (2*ell+1).*sin(ps).^2;

k=k'*ones(1,maxell+1);

% sezione d'urto parziale e totale (separatamente per onde parziali)
sigma = 4*pi./k.^2 .* cumsum(S')';      % valutare i contributi
                                        % aggiuntivi dei mom
                                        % angolari superiori


figure
plot(k,sigma)
xlabel('k')
ylabel('\sigma_l(k)')