%% Spherical Bessel fct
function [jn,yn,djn,dyn]=sphbessel(n,x)

jn = sqrt(pi./(2*x)).*besselj(n+1/2,x);
yn = sqrt(pi./(2*x)).*bessely(n+1/2,x);

djn = sqrt(pi./(2*x)).*besselj(n-1/2,x) - (n+1)./x.*jn;
dyn = sqrt(pi./(2*x)).*bessely(n-1/2,x) - (n+1)./x.*yn;


