function E=Oscill3D(N)

if nargin<1,N=2;end

[n1,n2,n3]=meshgrid(0:N-1,0:N-1,0:N-1);

E = eigs(@pot,'SA');



%%%%%%
function Vpsi=pot(psi)
psi=reshape(psi,N,N,N);                 % reshape to NxNxN array
Vpsi=sqrt(n1.*(n2+1)).*circshift(circshift(psi,[1,0,0]),[0,-1,0]);
Vpsi=Vpsi+sqrt(n2.*(n3+1)).*circshift(circshift(psi,[0,1,0]),[0,0,-1]);
Vpsi=Vpsi+sqrt(n3.*(n1+1)).*circshift(circshift(psi,[0,0,1]),[-1,0,0]);
Vpsi=Vpsi+sqrt(n2.*(n1+1)).*circshift(circshift(psi,[-1,0,0]),[0,1,0]);
Vpsi=Vpsi+sqrt(n3.*(n2+1)).*circshift(circshift(psi,[0,-1,0]),[0,0,1]);
Vpsi=Vpsi+sqrt(n1.*(n3+1)).*circshift(circshift(psi,[0,0,-1]),[1,0,0]);
Vpsi = reshape(Vpsi,N^3);
end

end